> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Find all thumbnails for a Supplier

> ## Find all thumbnails for a Supplier ##

<p>
The returned result is an array of images. If no images are found a 404 response will be returned.
</p>

#### Response ####

**Top Level Result Object**

 <table class="fullwidth">
     <thead>
         <tr>
             <th>Field name</th>
             <th>Nullable</th>
             <th>Type</th>
             <th>Description</th>
         </tr>
     </thead>
     <tbody>
         <tr>
             <td>mediaId</td><td>n</td><td>Integer</td><td>Media ID of the image.</td>
         </tr>
         <tr>
             <td>path</td><td>n</td><td>String</td><td>Absolute URL path of image.</td>
         </tr>
         <tr>
             <td>originalName</td><td>n</td><td>String</td><td>Original name of file.</td>
         </tr>
         <tr>
             <td>caption</td><td>y</td><td>String</td><td>Optional image caption.</td>
         </tr>
         <tr>
             <td>active</td><td>y</td><td>Null</td><td>Unused.</td>
         </tr>
         <tr>
             <td>mimeType</td><td>y</td><td>String</td><td>Mime type of file.</td>
         </tr>
     </tbody>
 </table>



## OpenAPI

````yaml /openapi/website-travel-supplier-api.mintlify.json get /{supplierapi}/media/thumbnails
openapi: 3.0.0
info:
  title: Website Travel Supplier API
  version: 0.0.0
  description: >-
    Supplier-facing Website Travel API for authentication, products, media,
    cancellation policies, and vouchers.
servers: []
security: []
tags:
  - name: Version 1
    description: Version 1
  - name: Media
    description: Media
  - name: Packages
    description: Packages
  - name: Booking Details
    description: Booking Details
  - name: Product Prices
    description: Product Prices
  - name: Products
    description: Products
  - name: Vouchers
    description: Vouchers
paths:
  /{supplierapi}/media/thumbnails:
    get:
      tags:
        - Version 1
        - Media
      summary: Find all thumbnails for a Supplier
      description: >-
        ## Find all thumbnails for a Supplier ##


        <p>

        The returned result is an array of images. If no images are found a 404
        response will be returned.

        </p>


        #### Response ####


        **Top Level Result Object**

         <table class="fullwidth">
             <thead>
                 <tr>
                     <th>Field name</th>
                     <th>Nullable</th>
                     <th>Type</th>
                     <th>Description</th>
                 </tr>
             </thead>
             <tbody>
                 <tr>
                     <td>mediaId</td><td>n</td><td>Integer</td><td>Media ID of the image.</td>
                 </tr>
                 <tr>
                     <td>path</td><td>n</td><td>String</td><td>Absolute URL path of image.</td>
                 </tr>
                 <tr>
                     <td>originalName</td><td>n</td><td>String</td><td>Original name of file.</td>
                 </tr>
                 <tr>
                     <td>caption</td><td>y</td><td>String</td><td>Optional image caption.</td>
                 </tr>
                 <tr>
                     <td>active</td><td>y</td><td>Null</td><td>Unused.</td>
                 </tr>
                 <tr>
                     <td>mimeType</td><td>y</td><td>String</td><td>Mime type of file.</td>
                 </tr>
             </tbody>
         </table>
      operationId: get_api_media_media_getthumbnails
      parameters:
        - name: productId
          in: query
          description: >-
            Optional Product ID to fetch. Equivalent to
            "/supplier/product/{productId}/images?size=sm"
          required: false
          schema:
            type: integer
        - name: supplierapi
          in: path
          required: true
          schema:
            type: string
            pattern: supplier|apiv1/supplier
      responses:
        '200':
          description: Returned when successful.
        '403':
          description: User does not have access to the requested product
        '404':
          description: Product not found, or no images for the product found
        '500':
          description: Internal error.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.